## onionbalance 0.1.3

=== requirements.txt ===
stem==1.4.1b
PyYAML==3.11
pycrypto==2.6.1
schedule==0.3.1
future==0.14.3
sphinxcontrib-autoprogram==0.1.2

=== debian/changelog ===
onionbalance (0.1.3-3) unstable; urgency=low

  * Add patch to disable failing test

 -- Federico Ceratto <federico@debian.org>  Tue, 02 Feb 2016 23:38:43 +0000

onionbalance (0.1.3-2) unstable; urgency=low

  * Make Tor a dependency

 -- Federico Ceratto <federico@debian.org>  Tue, 05 Jan 2016 18:44:45 +0000

onionbalance (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #799973).

 -- Federico Ceratto <federico@debian.org>  Sat, 19 Dec 2015 18:35:35 +0000

=== debian/control ===
Source: onionbalance
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Federico Ceratto <federico@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9), dh-systemd
Build-Depends-Indep:
 python-tox,
 python3-all,
 python3-crypto,
 python3-docutils,
 python3-pytest,
 python3-pytest-mock,
 python3-schedule,
 python3-setuptools,
 python3-sphinx (>= 1.3.1),
 python3-sphinxcontrib.autoprogram,
 python3-stem (>= 1.4.1b),
 python3-yaml
Standards-Version: 3.9.6
Homepage: https://github.com/DonnchaC/onionbalance
Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/onionbalance.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/onionbalance.git

Package: onionbalance
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 python3-stem (>= 1.4.1b),
 tor (>= 0.2.7.1)
Description: Tor hidden service load balancer
 The onionbalance tool provides load-balancing and redundancy for Tor
 hidden services by distributing user requests to multiple backend
 Tor instances.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=onionbalance
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/sbin

# Copy unit tests, exclude functional tests which need a running Tor
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test
export PYBUILD_TEST_ARGS=--ignore=test/functional

%:
	dh "$@" --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs/ docs/_build/html
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bman docs docs/_build/man

override_dh_clean:
	dh_clean
	rm -rf docs/_build/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/onionbalance-$1\.tar\.gz/ \
  https://github.com/DonnchaC/onionbalance/releases .*/v?(\d\S*)\.tar\.gz

## onionbalance 0.1.4

=== debian/changelog ===
onionbalance (0.1.4-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.
  * Disable tests, doc and manpage generation, add static manpage

 -- Federico Ceratto <federico@debian.org>  Mon, 20 Jun 2016 23:23:47 +0100

onionbalance (0.1.4-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 06 Jun 2016 17:42:05 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,12 @@
  python-tox,
  python3-all,
  python3-crypto,
- python3-docutils,
- python3-pytest,
- python3-pytest-mock,
- python3-schedule,
+ python3-future,
+ python3-setproctitle,
  python3-setuptools,
- python3-sphinx (>= 1.3.1),
- python3-sphinxcontrib.autoprogram,
- python3-stem (>= 1.4.1b),
+ python3-stem (>= 1.4.1b-1~bpo8+1),
  python3-yaml
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/DonnchaC/onionbalance
 Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/onionbalance.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/onionbalance.git
@@ -28,8 +24,8 @@
  ${misc:Depends},
  ${python3:Depends},
  adduser,
- python3-stem (>= 1.4.1b),
- tor (>= 0.2.7.1)
+ python3-stem (>= 1.4.1b-1~bpo8+1),
+ tor (>= 0.2.7.6-1~bpo8+1)
 Description: Tor hidden service load balancer
  The onionbalance tool provides load-balancing and redundancy for Tor
  hidden services by distributing user requests to multiple backend

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=onionbalance
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/sbin

# Copy unit tests, exclude functional tests which need a running Tor
#export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
#export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test
#export PYBUILD_TEST_ARGS=--ignore=test/functional

%:
	dh "$@" --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	#PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -v -v -v -v -E -bhtml docs/ docs/_build/html
	#PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bman docs docs/_build/man

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_clean:
	dh_clean
	rm -rf docs/_build/

## onionbalance 0.1.6

=== debian/changelog ===
onionbalance (0.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 03 Jan 2017 21:03:16 +0000

onionbalance (0.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 16 Oct 2016 22:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,15 @@
  python-tox,
  python3-all,
  python3-crypto,
+ python3-docutils,
  python3-future,
+ python3-pytest,
+ python3-pytest-mock,
  python3-setproctitle,
  python3-setuptools,
- python3-stem (>= 1.4.1b-1~bpo8+1),
+ python3-sphinx (>= 1.3.1),
+ python3-sphinxcontrib.autoprogram,
+ python3-stem (>= 1.4.1b),
  python3-yaml
 Standards-Version: 3.9.8
 Homepage: https://github.com/DonnchaC/onionbalance
@@ -24,8 +29,9 @@
  ${misc:Depends},
  ${python3:Depends},
  adduser,
- python3-stem (>= 1.4.1b-1~bpo8+1),
- tor (>= 0.2.7.6-1~bpo8+1)
+ lsb-base (>= 3.1-23.2),
+ python3-stem (>= 1.4.1b),
+ tor (>= 0.2.7.1)
 Description: Tor hidden service load balancer
  The onionbalance tool provides load-balancing and redundancy for Tor
  hidden services by distributing user requests to multiple backend

## onionbalance 0.1.8

=== requirements.txt ===
stem==1.4.1b
PyYAML==3.11
pycrypto==2.6.1
future==0.14.3
sphinxcontrib-autoprogram==0.1.2
setproctitle==1.1.9

=== debian/changelog ===
onionbalance (0.1.8-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Federico Ceratto <federico@debian.org>  Sun, 23 Sep 2018 19:39:27 +0100

onionbalance (0.1.8-3) unstable; urgency=medium

  * Upload to unstable

 -- Federico Ceratto <federico@debian.org>  Thu, 31 Aug 2017 11:07:44 +0100

onionbalance (0.1.8-2) experimental; urgency=medium

  * Fix unit file syntax. Thanks Helle Vaanzinn (Closes: #859476)

 -- Federico Ceratto <federico@debian.org>  Sun, 11 Jun 2017 12:53:09 +0100

onionbalance (0.1.8-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 20 May 2017 10:06:43 +0100

onionbalance (0.1.7-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 04 Mar 2017 14:33:17 +0000

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,11 @@
  python3-sphinxcontrib.autoprogram,
  python3-stem (>= 1.4.1b),
  python3-yaml
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/DonnchaC/onionbalance
-Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/onionbalance.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/onionbalance.git
+Vcs-Git: https://salsa.debian.org/debian/onionbalance.git
+Vcs-Browser: https://salsa.debian.org/debian/onionbalance
+Testsuite: autopkgtest-pkg-python
 
 Package: onionbalance
 Architecture: all

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
    https://github.com/DonnchaC/onionbalance/releases .*/onionbalance-([\d\.]+).tar.gz

## onionbalance 0.2.0

=== requirements.txt ===
setproctitle>=1.1.9

stem>=1.8
pyyaml>=4.2b1
cryptography>=2.5

pycrypto>=2.6.1
future>=0.14.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/onionbalance.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/onionbalance.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/onionbalance"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/onionbalance"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
onionbalance (0.2.0-5) unstable; urgency=medium

  * Fix SignalHandler positional arguments

 -- Federico Ceratto <federico@debian.org>  Mon, 25 Jan 2021 13:52:02 +0000

onionbalance (0.2.0-4) unstable; urgency=high

  * Switch to python3-pycryptodome (Closes: #971316)

 -- Federico Ceratto <federico@debian.org>  Sun, 24 Jan 2021 15:38:48 +0000

onionbalance (0.2.0-3) unstable; urgency=high

  * Drop autopkgtest permanently (Closes: 964406)

 -- Federico Ceratto <federico@debian.org>  Wed, 08 Jul 2020 20:57:09 +0100

onionbalance (0.2.0-2) unstable; urgency=high

  * Add test stub

 -- Federico Ceratto <federico@debian.org>  Mon, 06 Jul 2020 23:58:38 +0100

onionbalance (0.2.0-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * Switch to new upstream: George Kadianakis
    https://github.com/asn-d6/onionbalance
  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 25 Jun 2020 22:02:29 +0100

=== debian/control ===
Source: onionbalance
Maintainer: Federico Ceratto <federico@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-cryptography,
 python3-docutils,
 python3-future,
 python3-mock,
 python3-pycryptodome,
 python3-pytest,
 python3-pytest-mock,
 python3-setproctitle,
 python3-setuptools,
 python3-sphinx (>= 1.3.1),
 python3-sphinxcontrib.autoprogram,
 python3-stem (>= 1.8.0),
 python3-yaml
Standards-Version: 4.5.0
Homepage: https://github.com/asn-d6/onionbalance
Vcs-Git: https://salsa.debian.org/debian/onionbalance.git
Vcs-Browser: https://salsa.debian.org/debian/onionbalance
Rules-Requires-Root: no

Package: onionbalance
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
 adduser,
 lsb-base (>= 3.1-23.2),
 python3-stem (>= 1.8.0),
 tor (>= 0.2.7.1)
Description: Tor hidden service load balancer
 The onionbalance tool provides load-balancing and redundancy for Tor
 hidden services by distributing user requests to multiple backend
 Tor instances.

## onionbalance 0.2.2

=== requirements.txt ===
setproctitle>=1.1.9

stem>=1.8
pyyaml>=4.2b1
cryptography>=3.2
pycryptodomex

future>=0.14.3

=== debian/changelog ===
onionbalance (0.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 12 Sep 2021 18:21:26 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-sphinxcontrib.autoprogram,
  python3-stem (>= 1.8.0),
  python3-yaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/asn-d6/onionbalance
 Vcs-Git: https://salsa.debian.org/debian/onionbalance.git
 Vcs-Browser: https://salsa.debian.org/debian/onionbalance

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/onionbalance-$1\.tar\.gz/ \
  https://github.com/asn-d6/onionbalance/tags .*/v?(\d\S+)\.tar\.gz

## onionbalance 0.2.4

=== Makefile ===
#
# Onionbalance Makefile.
#
# This Makefile is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or any later version.
#
# This Makefile is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#

.PHONY: configs docs

# Include the environment file so Makefile to include custom configs and
# overrides
#
# Not doing that anymore since the .env file might have quotes, and thus be
# incompatible with the Makefile format.
#
# Also, all procedures using settings from the .env file are now done through
# the onionbalance-monitor script.
#-include .env

#
# Documentation
#

ONION_MKDOCS_PATH = vendors/onion-mkdocs

# This is useful when developing locally and Onion MkDocs is not yet installed
vendoring:
	@test   -e $(ONION_MKDOCS_PATH) && git -C $(ONION_MKDOCS_PATH) pull || true
	@test ! -e $(ONION_MKDOCS_PATH) && git clone https://gitlab.torproject.org/tpo/web/onion-mkdocs.git $(ONION_MKDOCS_PATH) || true

docs: compile-docs

manpages:
	@./onionbalance/manpages.py
	@sed -i -e 's/manpages.py/onionbalance/g' docs/man/onionbalance.1.txt
	@sed -i -e 's/manpages.py/onionbalance-config/g' docs/man/onionbalance-config.1.txt
	@sed -e '1i\\# Onionbalance manual page' -e 's|^#|##|g' -e '/^%/d' docs/man/onionbalance.1.txt > docs/man/onionbalance.md
	@sed -e '1i\\# Onionbalance Config manual page' -e 's|^#|##|g' -e '/^%/d' -e 's/manpages.py/onionbalance-config/g' docs/man/onionbalance-config.1.txt > docs/man/onionbalance-config.md
	@pandoc -s -f markdown -w man docs/man/onionbalance.1.txt -o docs/man/onionbalance.1
	@pandoc -s -f markdown -w man docs/man/onionbalance-config.1.txt -o docs/man/onionbalance-config.1

compile-docs: manpages
	@make onion-mkdocs-build

#
# Packaging
#

clean:
	@find -name __pycache__ -exec rm -rf {} \; &> /dev/null || true

build-python-package: clean
	@python3 -m build

upload-python-test-package:
	@twine upload --skip-existing --repository testpypi dist/*

upload-python-package:
	@twine upload --skip-existing dist/*

update_sbuild:
	@sudo sbuild-update -udcar u

mk-build-deps:
	@mk-build-deps --install --tool='apt-get -y' debian/control

build-debian-test-package: mk-build-deps
	@dpkg-buildpackage -rfakeroot --no-sign

sbuild: update_sbuild
	@#sbuild -c stable-amd64-sbuild
	@sbuild  -c unstable-amd64-sbuild

#
# Release
#

release: clean configs docs

#
# Other
#

# Include the Onion MkDocs Makefile
# See https://www.gnu.org/software/make/manual/html_node/Include.html
-include $(ONION_MKDOCS_PATH)/Makefile.onion-mkdocs

=== requirements.txt ===
setproctitle>=1.1.9

stem>=1.8
pyyaml>=4.2b1
cryptography>=3.2
pycryptodomex

=== debian/changelog ===
onionbalance (0.2.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update upstream copyright information.

 -- Sandro Knauß <hefee@debian.org>  Fri, 02 May 2025 21:12:04 +0200

onionbalance (0.2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #1083520, #1103075).
  * Update upstream metadata.
  * Remove not used config directory.
  * Sync init file from upstream (only whitespace changes).
  * Add lintin-overrides - tarballs are not signed, only the git tags.
  * Delete all patches (applied upstream).
  * Remove the documentation build.
  * Bump Standards-Version.
  * Use dh-sequence instead of dh --with.
  * Make uscan work for new gitlab instance.
  * Update signing key.

 -- Sandro Knauß <hefee@debian.org>  Fri, 02 May 2025 20:38:07 +0200

onionbalance (0.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with Python3.12+ (Closes: #1058239)
  * Remove trivial usage of python3-future. (Applied upstream)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 15 Dec 2023 19:50:14 +0100

onionbalance (0.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:31:50 +0200

=== debian/control ===
Source: onionbalance
Maintainer: Federico Ceratto <federico@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep:
 dh-sequence-python3,
 python3-all,
 python3-cryptography,
 python3-docutils,
 python3-mock,
 python3-pycryptodome,
 python3-pytest,
 python3-pytest-mock,
 python3-setproctitle,
 python3-setuptools,
 python3-stem (>= 1.8.0),
 python3-yaml
Standards-Version: 4.7.2
Homepage: https://onionservices.torproject.org/apps/base/onionbalance/
Vcs-Git: https://salsa.debian.org/debian/onionbalance.git
Vcs-Browser: https://salsa.debian.org/debian/onionbalance
Rules-Requires-Root: no

Package: onionbalance
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 python3-stem (>= 1.8.0),
 tor (>= 0.2.7.1)
Description: Tor hidden service load balancer
 The onionbalance tool provides load-balancing and redundancy for Tor
 hidden services by distributing user requests to multiple backend
 Tor instances.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=onionbalance
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/sbin

# Copy unit tests, exclude functional tests which need a running Tor
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test
export PYBUILD_TEST_ARGS=--ignore=test/functional

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

execute_after_dh_clean:
	rm -rf ./.pytest_cache

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.torproject.org/tpo/onion-services/onionbalance/-/tags archive/\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
